// evc8840Dlg.h : header file
//

#if !defined(AFX_EVC8840DLG_H__C442EF70_2D08_49F7_80F8_20BF6B8166BF__INCLUDED_)
#define AFX_EVC8840DLG_H__C442EF70_2D08_49F7_80F8_20BF6B8166BF__INCLUDED_

#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000
#define  MAXAXIS  4    //×î´óÖáÊý
/////////////////////////////////////////////////////////////////////////////
// CEvc8840Dlg dialog

class CEvc8840Dlg : public CDialog
{
// Construction
public:
	CEvc8840Dlg(CWnd* pParent = NULL);	// standard constructor

// Dialog Data
	//{{AFX_DATA(CEvc8840Dlg)
	enum { IDD = IDD_EVC8840_DIALOG };
	int		m_end_placex;
	int		m_end_placey;
	int		m_end_placez;
	int		m_end_placea;
	int		m_act_placea;
	int		m_act_placex;
	int		m_act_placey;
	int		m_act_placez;
	BOOL	m_bX;
	BOOL	m_bY;
	BOOL	m_bZ;
	BOOL	m_bA;
	long	m_log_placey;
	long	m_log_placez;
	long	m_log_placex;
	long	m_log_placea;
	int		m_wspeeda;
	int		m_wspeedx;
	int		m_wspeedy;
	int		m_wspeedz;
	int		m_speeda;
	int		m_speedx;
	int		m_speedy;
	int		m_speedz;
	int		m_adda;
	int		m_addx;
	int		m_addy;
	int		m_addz;
	long	m_pulsea;
	long	m_pulsex;
	long	m_pulsey;
	long	m_pulsez;
	int		m_starta;
	int		m_startx;
	int		m_startz;
	int		m_starty;
	BOOL	m_buffmode;
	BOOL	m_speedmode;
	//}}AFX_DATA

	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CEvc8840Dlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	HICON m_hIcon;

	// Generated message map functions
	//{{AFX_MSG(CEvc8840Dlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnChangeIpConn();
	afx_msg void OnConn_Cmd();
	afx_msg void OnPmov();
	afx_msg void OnTimer(UINT nIDEvent);
	afx_msg void OnChangePulseX();
	afx_msg void OnStopAll();
	afx_msg void OnClearPos();
	afx_msg void OnInpMove();
	afx_msg void OnChangeStartx();
	afx_msg void OnChangeStarty();
	afx_msg void OnChangeStartz();
	afx_msg void OnChangeStarta();
	afx_msg void OnChangespeedx();
	afx_msg void OnChangespeedy();
	afx_msg void OnChangespeedz();
	afx_msg void OnChangespeeda();
	afx_msg void OnChangeAddsx();
	afx_msg void OnChangeAddsy();
	afx_msg void OnChangeAddsz();
	afx_msg void OnChangeAddsa();
	afx_msg void OnFifo();
	afx_msg void OnPause();
	afx_msg void OnContinue();
	afx_msg void OnIoTest();
	afx_msg void OnResume();
	afx_msg void OnBufMode();
	afx_msg void OnSpeedmode();
	afx_msg void OnSYSSET();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft eMbedded Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_EVC8840DLG_H__C442EF70_2D08_49F7_80F8_20BF6B8166BF__INCLUDED_)
